version: "3"
services:
  vcg-api:
    hostname: vcg-api
    container_name: vcg-api
    build:
      context: .
      args:
        account: account
    environment:
      - DC_NAME=${DC_NAME}
      - BOOTNODE_ID=${BOOTNODE_ID}
      - BOOTNODE_IP=${BOOTNODE_IP}
      - VCG_PROTOCOL=${VCG_PROTOCOL}
      - VCG_IP=${VCG_IP}
      - VCG_PORT=${VCG_PORT}
      - VCG_PATH=${VCG_PATH}
      - WALLET_ADDRESS=${WALLET_ADDRESS}
      - WALLET_PASSWORD=${WALLET_PASSWORD}
      - CONTRACT_ADDRESS=${CONTRACT_ADDRESS}
    volumes:
      - eth-data:/opt/ethereum

volumes:
  eth-data:


networks:
  default:
    external:
      name: ethereumtestnet_chainnet
